package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.UpdateGroup;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.Date;

@Data
public class TourismBookProjectDto {

    @NotNull(message = "type不能为空！", groups = {UpdateGroup.class})
    private Integer type;

    @NotNull(message = "项目不能为空！", groups = {UpdateGroup.class})
    private String projectId;

    @NotNull(message = "成人数量不能为空！", groups = {UpdateGroup.class})
    private Integer adultNumber;

    private Integer childrenNumber;

    @NotNull(message = "预定日期不能为空！", groups = {UpdateGroup.class})
    private Date startDate;

    public String getString() {
        return type + "_" + projectId + "_" + adultNumber + "_" + childrenNumber + "_" + startDate;
    }
}
