package com.tourism.webadmin.app.website.service;

import com.tourism.common.core.object.MyPageData;
import com.tourism.common.core.object.ResponseResult;
import com.tourism.webadmin.app.website.dto.TourismProjectTravelNotesToWebDto;
import com.tourism.webadmin.app.website.dto.TourismTravelNotesWriteDto;
import com.tourism.webadmin.back.model.TourTourismProjectTravelNotes;
import com.tourism.webadmin.back.vo.BannerInfoVo;
import com.tourism.webadmin.back.vo.DirectoryInfoVo;
import com.tourism.webadmin.back.vo.TourTourismProjectTravelNotesVo;
import com.tourism.webadmin.back.vo.TourismProjectTravelNotesWriteVo;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 门户网站首页Service
 * 
 * @author tourism
 */
public interface BasicToWebService
{
    MyPageData<BannerInfoVo> getBannerInfoList(Long belongTab);

    MyPageData<DirectoryInfoVo> getDirectoryInfoList(Long parentId, Integer isHotspot, Integer isAll);

    MyPageData<TourismProjectTravelNotesWriteVo> getTourTourismProjectTravelNotesList(TourismTravelNotesWriteDto tourismTravelNotesWriteDto);

    MyPageData<TourismProjectTravelNotesWriteVo> getTravelNotesPageList(TourismTravelNotesWriteDto tourismTravelNotesWriteDto);

    TourismProjectTravelNotesWriteVo travelNotesDetail(String id);

    void userLikeTravelNotesUpdate(Long travelNotesId,Integer type);

    Boolean isLikeTravelNotes(Long travelNotesId);

    void travelNotesViewCountAdd(Long travelNotesId);

    void generate();
}
